[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Remove

Remove a data item from the list.

## Declaration

Source position: avl_tree.pp line 98

`public procedure TAVLTree.Remove(`
`Data: Pointer`
`);`

## Arguments

`Data` |  | Data item to remove from the tree.

## Description

Remove finds the node associated with Data using find and, if found, deletes it from the tree. Only the first occurrence of Data will be removed.

## See also

TAVLTree.Delete |  | Delete a node from the tree
TAVLTree.RemovePointer |  | Remove a pointer item from the list.
TAVLTree.Clear |  | Clears the tree
TAVLTree.Find |  | Find a data item in the tree.

Documentation generated on: Feb 26 2014